Package org.jfree.report.util.beans

# Class BeanException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.pentaho.reporting.libraries.base.util.StackableException
org.jfree.report.util.beans.BeanException

All Implemented Interfaces:
  `Serializable`

public class BeanException extends org.pentaho.reporting.libraries.base.util.StackableException
The BeanException class signals errors when setting or reading bean properties.

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BeanException()`
DefaultConstructor.
`BeanException(String message)`
Creates a new BeanException with the given message.
`BeanException(String message, Exception ex)`
Creates a new BeanException with the given message and parent exception.

## Method Summary

### Methods inherited from class org.pentaho.reporting.libraries.base.util.StackableException

`getMessage, getParent, getParentThrowable, printStackTrace, printStackTrace, printStackTrace, toString, update`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BeanException

public BeanException()
DefaultConstructor.

### BeanException

public BeanException(String message, Exception ex)
Creates a new BeanException with the given message and parent exception.

Parameters:
  `message` - the message text
  `ex` - the parent exception

### BeanException

public BeanException(String message)
Creates a new BeanException with the given message.

Parameters:
  `message` - the message.